=== debian/changelog ===
simutrans (120.4.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:57:55 +0100

simutrans (120.4.1-1) unstable; urgency=medium

  * Team upload.

  [ Jörg Frings-Fürst ]
  * New upstream release:
    - Refresh patches:
      + debian/patches/0005-typo.patch,
        debian/patches/0100-path_for_game-data.patch,
        debian/patches/0105-revert-svn-1937.diff,
        debian/patches/0110-path_max.patch.

  * Declare compliance with Debian Policy 4.3.0 (No changes needed).

  [ Markus Koschany ]
  * Drop deprecated menu file.

 -- Markus Koschany <apo@debian.org>  Tue, 12 Feb 2019 12:54:48 +0100

simutrans (120.3-2) unstable; urgency=medium

  * debian/control:
    - Set Architecture back to any (Closes: #903462).

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 10 Jul 2018 19:42:34 +0200
