=== debian/changelog ===
simutrans (121.0-1) unstable; urgency=medium

  * Team upload.

  [ Jörg Frings-Fürst ]
  * New upstream release (Closes: #906204).
    - Refresh patches.
  * Declare compliance with Debian Policy 4.5.0 (No changes needed).
  * Switch to debhelper-compat:
    - debian/control: change to debhelper-compat (=12).
    - remove debian/compat.
  * Switch to mixer-sdl2:
    - Update debian/control
    - Update debian/patches/0500-config.diff.
  * debian/control:
    - Change team mail address.
    - Add Rules-Requires-Root: no.
  * debian/changelog:
    - Add year 2020 to myself.
  * debian/simutrans-makeobj.install:
    - Install makeobj into /usr/games/

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 02 May 2020 22:01:15 +0200
