=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: simutrans
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <Pkg-games-devel@alioth-lists.debian.net>
 Uploaders:
  Clint Adams <clint@debian.org>,
  Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libbz2-dev,
  libpng-dev,
- libsdl1.2-dev,
- libsdl-mixer1.2-dev,
+ libsdl2-dev,
+ libsdl2-mixer-dev,
  quilt,
  zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.simutrans.com/
 Vcs-Git: https://salsa.debian.org/games-team/simutrans.git
 Vcs-Browser: https://salsa.debian.org/games-team/simutrans
