## simutrans 122.0

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,8 @@
+#
+# This file is part of the Simutrans project under the Artistic License.
+# (see LICENSE.txt)
+#
+
 CFG ?= default
 -include config.$(CFG)
 
@@ -10,23 +15,26 @@
 
 ALLEGRO_CONFIG  ?= allegro-config
 SDL_CONFIG      ?= sdl-config
-SDL2_CONFIG     ?= sdl2-config
+SDL2_CONFIG     ?= pkg-config sdl2
+#SDL2_CONFIG     ?= sdl2-config
 FREETYPE_CONFIG ?= freetype-config
+#FREETYPE_CONFIG ?= pkg-config freetype2
 
 BACKENDS      = allegro gdi sdl sdl2 mixer_sdl mixer_sdl2 posix
-COLOUR_DEPTHS = 0 16
 OSTYPES       = amiga beos freebsd haiku linux mingw mac openbsd
 
 ifeq ($(findstring $(BACKEND), $(BACKENDS)),)
   $(error Unkown BACKEND "$(BACKEND)", must be one of "$(BACKENDS)")
 endif
 
-ifeq ($(findstring $(COLOUR_DEPTH), $(COLOUR_DEPTHS)),)
-  $(error Unkown COLOUR_DEPTH "$(COLOUR_DEPTH)", must be one of "$(COLOUR_DEPTHS)")
-endif
-
 ifeq ($(findstring $(OSTYPE), $(OSTYPES)),)
   $(error Unkown OSTYPE "$(OSTYPE)", must be one of "$(OSTYPES)")
+endif
+
+ifeq ($(BACKEND),posix)
+  COLOUR_DEPTH = 0
+else
+  COLOUR_DEPTH = 16
 endif
 
 ifeq ($(OSTYPE),amiga)
@@ -47,9 +55,9 @@
     CFLAGS  += -static
     LDFLAGS += -static-libgcc -static-libstdc++ -static
   endif
-  LDFLAGS   += -pthread -Wl,--large-address-aware
-  SOURCES   += simsys_w32_png.cc
-  CFLAGS    += -DNOMINMAX -DWIN32_LEAN_AND_MEAN -DWINVER=0x0501 -D_WIN32_IE=0x0500
+  LDFLAGS   += -pthread
+  SOURCES   += sys/simsys_w32_png.cc
+  CFLAGS    += -Wno-deprecated-copy -Wno-c++11-narrowing -DNOMINMAX -DWIN32_LEAN_AND_MEAN -DWINVER=0x0501 -D_WIN32_IE=0x0500
   LIBS      += -lmingw32 -lgdi32 -lwinmm -lws2_32 -limm32
 
   # Disable the console on Windows unless WIN32_CONSOLE is set or graphics are disabled
@@ -65,11 +73,11 @@
 endif
 
 ifeq ($(BACKEND),sdl2)
-  SOURCES += clipboard_s2.cc
+  SOURCES += sys/clipboard_s2.cc
 else ifeq ($(OSTYPE),mingw)
-  SOURCES += clipboard_w32.cc
+  SOURCES += sys/clipboard_w32.cc
 else
-  SOURCES += clipboard_internal.cc
+  SOURCES += sys/clipboard_internal.cc
 endif
 
 LIBS += -lbz2 -lz
@@ -77,8 +85,8 @@
 ifdef OPTIMISE
   ifeq ($(shell expr $(OPTIMISE) \>= 1), 1)
     CFLAGS += -O3
-    ifeq ($(findstring $(OSTYPE), amiga),)
-      ifneq ($(findstring $(CXX), clang),)
+    ifeq ($(findstring amiga, $(OSTYPE)),)
+      ifneq ($(findstring clang, $(CXX)),)
         CFLAGS += -minline-all-stringops
       endif
     endif
@@ -158,12 +166,25 @@
   endif
 endif
 
-ifeq ($(shell expr $(PROFILE) \>= 1), 1)
-  CFLAGS   += -pg -DPROFILE
-  ifeq ($(shell expr $(PROFILE) \>= 2), 1)
-    CFLAGS += -fno-inline -fno-schedule-insns
-  endif
-  LDFLAGS  += -pg
+ifdef USE_ZSTD
+  ifeq ($(shell expr $(USE_ZSTD) \>= 1), 1)
+    FLAGS      += -DUSE_ZSTD
+    LDFLAGS     += -lzstd
+  endif
+endif
+
+ifdef PROFILE
+  ifeq ($(shell expr $(PROFILE) \>= 1), 1)
+    CFLAGS   += -pg -DPROFILE
+    ifeq ($(shell expr $(PROFILE) \>= 2), 1)
+      CFLAGS += -fno-inline
+
+      ifeq ($(findstring clang, $(CXX)),)
+        CFLAGS += -fno-schedule-insns
+      endif
+    endif
+    LDFLAGS  += -pg
+  endif
 endif
 
 ifdef MULTI_THREAD
@@ -183,11 +204,21 @@
     ifeq ($(shell expr $(WITH_REVISION) \>= 2), 1)
       REV = $(WITH_REVISION)
     else
+      $(info Query SVN revision ...)
       REV = $(shell svnversion)
+      $(info Revision is $(REV))
+    endif
+    # we can query the svn directly, should the folder is not an svn (like on github)
+    ifeq ($(REV),)
+      ifeq ($(shell expr $(WITH_REVISION) \<= 1), 1)
+        $(info Query SVN revision with SVN directly...)
+        REV = $(shell svn info --show-item revision svn://servers.simutrans.org/simutrans | sed "s/[0-9]*://" | sed "s/M.*//")
+         $(info Revision is $(REV))
+      endif
     endif
 
     ifneq ($(REV),)
-      CFLAGS  += -DREVISION="$(REV)"
+      CFLAGS  += -DREVISION=$(REV)
     endif
   endif
 endif
@@ -327,6 +358,7 @@
 SOURCES += gui/curiositylist_frame_t.cc
 SOURCES += gui/curiositylist_stats_t.cc
 SOURCES += gui/depot_frame.cc
+SOURCES += gui/depotlist_frame.cc
 SOURCES += gui/display_settings.cc
 SOURCES += gui/enlarge_map_frame_t.cc
 SOURCES += gui/extend_edit.cc
@@ -369,29 +401,3 @@
 SOURCES += gui/password_frame.cc
 SOURCES += gui/player_frame_t.cc
 SOURCES += gui/privatesign_info.cc
-SOURCES += gui/savegame_frame.cc
-SOURCES += gui/scenario_frame.cc
-SOURCES += gui/scenario_info.cc
-SOURCES += gui/schedule_gui.cc
-SOURCES += gui/schedule_list.cc
-SOURCES += gui/server_frame.cc
-SOURCES += gui/settings_frame.cc
-SOURCES += gui/settings_stats.cc
-SOURCES += gui/signal_spacing.cc
-SOURCES += gui/simwin.cc
-SOURCES += gui/sound_frame.cc
-SOURCES += gui/sprachen.cc
-SOURCES += gui/station_building_select.cc
-SOURCES += gui/themeselector.cc
-SOURCES += gui/tool_selector.cc
-SOURCES += gui/trafficlight_info.cc
-SOURCES += gui/welt.cc
-SOURCES += network/checksum.cc
-SOURCES += network/memory_rw.cc
-SOURCES += network/network.cc
-SOURCES += network/network_address.cc
-SOURCES += network/network_cmd.cc
-SOURCES += network/network_cmd_ingame.cc
-SOURCES += network/network_cmd_scenario.cc
-SOURCES += network/network_cmp_pakset.cc
-SOURCES += network/network_file_transfer.cc
