=== debian/changelog ===
simutrans (122.0-1) unstable; urgency=medium

  * Team upload.

  [ Jörg Frings-Fürst ]
  * New upstream release.
  * debian/simutrans-data.install:
    - Fix missing script directory (Closes: #992160).
  * debian/copyright:
    - Fix duplicate globbing patterns.
    - Add year 2021 to myself.
  * debian/simutrans-data.lintian-overrides:
    - Add override for package-contains-documentation-outside-usr-share-doc.
    - Refresh to new upstream release.
  * debian/rules:
    - Add iconv to convert txt into utf-8.
  * debian/control:
    - Change to debhelper-compat (=13).
  * Update debian/translations and convert into utf-8.
  * Declare compliance with Debian Policy 4.5.1 (No changes needed).

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Repository.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 16 Aug 2021 16:26:30 +0200
