=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Clint Adams <clint@debian.org>,
  Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libbz2-dev,
  libpng-dev,
  libsdl2-dev,
  libsdl2-mixer-dev,
  quilt,
  zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://www.simutrans.com/
 Vcs-Git: https://salsa.debian.org/games-team/simutrans.git
