=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	install -m 755 sim $(CURDIR)/debian/simutrans/usr/games/simutrans
 
 override_dh_install-indep:
+	find simutrans/text -name "*.txt"  -exec iconv -f iso-8859-1 -t utf-8 {} -o {} \;
 	dh_install
 
 override_dh_installchangelogs:
